MBDYN(1)

NAME
mbdyn - MultiBody Dynamics analysis system.

SYNOPSIS
mbdyn [-f input-file] [-H ] [-h ] [-l ] [-o output-file-prefix] [-P ] [-p ] [-R ] [-r ] [-S sleep-time] [-s ] [-T ] [-t ] [-v ] [-W new-working-dir] [-w ] [input-file[...]]

DESCRIPTION
mbdyn is a multibody analysis tool released under GPL <http://www.gnu.org/licenses/gpl.html>. It solves initial value problems for multibody, multidisciplinary systems including, but not limited to, the mechanical and aeroservoelastic fields.

OPTIONS

-f, --input-file  <input-file>
    Read model and analysis data from file input-file; default is standard input.

-H, --show-table
    Shows a list of the symbols defined in the symbol table of the mathematical parser, with their value.

-h, --help
    Displays usage information.

-l, --license
    Show licensing info.

-o, --output-file  <output-file-prefix>
    Write results to files with prefix output-file-prefix (extensions are content-dependent); default is input-file, if any, or "MBDyn". If output-file-prefix is a directory, the output file will have the name of the input file, but it will be placed in that directory.

-P, --pedantic
    Issue pedantic warnings (more occurrences raise the level).

-p, --parallel
    Run in parallel mode (only if compiled with MPI).

-R, --no-redefine
    Do not allow symbols in the mathematical parser to be redefined.

-r, --redefine
    Allow symbols in the mathematical parser to be redefined; useful in conjunction with -t.

-S, --sleep [rank=<r>,]<sleep-time>
    Sleep sleep-time seconds before starting the simulation. When running in parallel, if sleep-time is prefixed by rank=<r>, only the process with rank r (0 to number of processes - 1) will sleep.

-s, --silent
    Reduce verbosity (more occurrences reduce the verbosity level further).

-T, --no-same-table
    Do not preserve the existing mathematical parser symbol table when running multiple analyses in the same run.

-t, --same-table
    Preserve the existing mathematical parser symbol table when running multiple analyses in the same run (e.g. by issuing multiple input files on the command line). It may require -r to allow redefinition of symbols.

-v, --version
    Show version and exit.

-W, --working-dir <new-working-dir>
    Use new-working-dir as working directory instead of the current one.

-w, --warranty
    Issue a "warranty" message.

AUTHOR
The MBDyn Team <http://www.aero.polimi.it/~mbdyn/, http://www.mbdyn.org/>

ACKNOWLEDGEMENTS
MBDyn is developed and maintained by The MBDyn Team (http://www.aero.polimi.it/~mbdyn/).